%define name	perl-GD-TextUtil
%define version	0.83
%define release	5mdk

Summary:	GD-TextUtil module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	GDTextUtil-0.83.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
Requires:	perl-GD >= 1.20
BuildRequires:	perl
BuildRequires:	perl-GD >= 1.20
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
The GDTextUtil package contains text utilities for use with the GD
drawing package. 

This package provides three modules that make it possible to work with
internal GD fonts as well as TrueType fonts, without having to worry
about different interface functions to call. Apart from an abstract
interface to all font types and strings for GD, this library also
provides some utility in aligning and wrapping your string.

%prep
%setup -q -n GDTextUtil-%{version} 

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
make PREFIX=%{buildroot}%{_prefix} install

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}
%{_mandir}/*/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-5mdk
- build release

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.83-4mdk
- rebuild with latest perl.
- fix man page conflict.
- add BuildRequires.

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-3mdk
- ship man pages too...

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-2mdk
- 1mdk was lost

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-1mdk
- initial cooker contrib.
